Package org.opensaml.xacml.profile.saml.impl

# Class ReferencedPoliciesTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.profile.saml.impl.ReferencedPoliciesTypeImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `ReferencedPoliciesType`, `XACMLObject`

public class ReferencedPoliciesTypeImpl extends AbstractXMLObject implements ReferencedPoliciesType
Implementation of `ReferencedPoliciesType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private XMLObjectChildrenList<PolicyType>`
`policies`
List of policies.
`private XMLObjectChildrenList<PolicySetType>`
`policieSets`
List of policieSets.

### Fields inherited from interface org.opensaml.xacml.profile.saml.ReferencedPoliciesType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME_XACML10, DEFAULT_ELEMENT_NAME_XACML11, DEFAULT_ELEMENT_NAME_XACML20, DEFAULT_ELEMENT_NAME_XACML30, TYPE_LOCAL_NAME, TYPE_NAME_XACML10, TYPE_NAME_XACML11, TYPE_NAME_XACML20, TYPE_NAME_XACML30`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ReferencedPoliciesTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<PolicyType>`
`getPolicies()`
Gets the policies in this element.
`List<PolicySetType>`
`getPolicySets()`
Gets the policieSets in this element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### policies

private XMLObjectChildrenList<PolicyType> policies
List of policies.

### policieSets

private XMLObjectChildrenList<PolicySetType> policieSets
List of policieSets.

## Constructor Details

### ReferencedPoliciesTypeImpl

protected ReferencedPoliciesTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getPolicySets

public List<PolicySetType> getPolicySets()
Gets the policieSets in this element.

Specified by:
  `getPolicySets` in interface `ReferencedPoliciesType`
Returns:
  the policieSets in this element

### getPolicies

public List<PolicyType> getPolicies()
Gets the policies in this element.

Specified by:
  `getPolicies` in interface `ReferencedPoliciesType`
Returns:
  the policies in this element

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements